import { StyleSheet } from 'react-native';
import { colors } from './theme/colors'

export default styles = StyleSheet.create({
    container: {
        padding: 10
    },
    backgroundGray: {
        backgroundColor: colors.lightGray
    },
    heading: {
        fontSize: 40,
        color: colors.primaryDark
    },
    tableHeader: {
        flexDirection: 'row',
        height: 40,
        padding: 5
    }, 
    tableRow: {
        flexDirection: 'row',
        height: 70,
        padding: 5
    },  
    flex1: {
        flex: 1
    },  
    flex2: {
        flex: 2
    },
    size50: {
        width: 50,
        height: 50
    },
    table: {
        borderWidth: 1,
        borderRadius: 5,
        borderColor: colors.primaryLight
    }
  });
  