/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React from 'react';
import {Text, View, Image} from 'react-native';

export default function App() {
  return (
    <View>
      <Text>Products</Text>
      <View>
        <View>
          <Text>Image</Text>
          <Text>Name</Text>
          <Text>Price</Text>
          <Text>Description</Text>
        </View>
        <View>
          <View>
            <Image source={require('./images/tablet.jpg')} />
          </View>
          <Text numberOfLines={2} ellipsizeMode="tail">
            10-Inch Tablet
          </Text>
          <Text numberOfLines={2} ellipsizeMode="tail">
            269
          </Text>
          <Text numberOfLines={3} ellipsizeMode="tail">
            Android 4.3 Jelly Bean, 10.1-inch Full HD (1920 x 1200) Display
          </Text>
        </View>
        <View>
          <View>
            <Image source={require('./images/shoe.jpg')} />
          </View>
          <Text numberOfLines={2} ellipsizeMode="tail">
            Running Shoe
          </Text>
          <Text numberOfLines={2} ellipsizeMode="tail">
            48
          </Text>
          <Text numberOfLines={3} ellipsizeMode="tail">
            Synthetic and Mesh, Imported, Rubber sole, Flex Film welded upper,
            HydraMAX moisture-wicking collar lining
          </Text>
        </View>
        <View>
          <View>
            <Image source={require('./images/watch.jpg')} />
          </View>
          <Text numberOfLines={2} ellipsizeMode="tail">
            Slim Bracelet Watch
          </Text>
          <Text numberOfLines={2} ellipsizeMode="tail">
            27
          </Text>
          <Text numberOfLines={3} ellipsizeMode="tail">
            A narrow gold-tone bracelet supports the round case of this watch,
            which features three rhinestones marking each hour and a sparkling
            halo on the bezel
          </Text>
        </View>
      </View>
    </View>
  );
}
